<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: NetworkService Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classNetworkService-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">NetworkService Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="NetworkService_8hpp_source.html">NetworkService.hpp</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for NetworkService:</div>
<div class="dyncontent">
<div class="center"><img src="classNetworkService__coll__graph.png" border="0" usemap="#NetworkService_coll__map" alt="Collaboration graph"/></div>
<map name="NetworkService_coll__map" id="NetworkService_coll__map">
<area shape="rect" title=" " alt="" coords="5,5,172,244"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae37f04d34a43632252cb6bb153b38caf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNetworkService.html#ae37f04d34a43632252cb6bb153b38caf">NetworkService</a> ()</td></tr>
<tr class="separator:ae37f04d34a43632252cb6bb153b38caf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a943a2b8f1ea776592ca4862f8c9f9d15"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNetworkService.html#a943a2b8f1ea776592ca4862f8c9f9d15">~NetworkService</a> ()</td></tr>
<tr class="separator:a943a2b8f1ea776592ca4862f8c9f9d15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a902ac1cc48a670802152f778b567ad0d"><td class="memItemLeft" align="right" valign="top">CURLcode&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNetworkService.html#a902ac1cc48a670802152f778b567ad0d">GET</a> (const std::string &amp;url, const std::unordered_map&lt; std::string, std::string &gt; &amp;params={}, const std::unordered_map&lt; std::string, std::string &gt; &amp;headers={})</td></tr>
<tr class="separator:a902ac1cc48a670802152f778b567ad0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb7482a6e8ac040419fb8508784623c5"><td class="memItemLeft" align="right" valign="top">CURLcode&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNetworkService.html#acb7482a6e8ac040419fb8508784623c5">POST</a> (const std::string &amp;url, const std::string &amp;data, const std::unordered_map&lt; std::string, std::string &gt; &amp;headers={})</td></tr>
<tr class="separator:acb7482a6e8ac040419fb8508784623c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a622ad41d140fd68bb104cd4ba197c140"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNetworkService.html#a622ad41d140fd68bb104cd4ba197c140">NetworkService</a> (<a class="el" href="classNetworkService.html">NetworkService</a> const &amp;)=delete</td></tr>
<tr class="separator:a622ad41d140fd68bb104cd4ba197c140"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19db659744f2d05d7fea8488b5dd1fda"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNetworkService.html#a19db659744f2d05d7fea8488b5dd1fda">operator=</a> (<a class="el" href="classNetworkService.html">NetworkService</a> const &amp;)=delete</td></tr>
<tr class="separator:a19db659744f2d05d7fea8488b5dd1fda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf48498e52a529b97919d91934c5bfe1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNetworkService.html#acf48498e52a529b97919d91934c5bfe1">test</a> ()</td></tr>
<tr class="separator:acf48498e52a529b97919d91934c5bfe1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aead3be14e1aabce8cb4b0c33ddcff5e8"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNetworkService.html#aead3be14e1aabce8cb4b0c33ddcff5e8">responseContent</a> ()</td></tr>
<tr class="separator:aead3be14e1aabce8cb4b0c33ddcff5e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bb4fa9cf5c662a222d84b22c7c658a8"><td class="memItemLeft" align="right" valign="top">CURLcode&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNetworkService.html#a0bb4fa9cf5c662a222d84b22c7c658a8">statusCode</a> ()</td></tr>
<tr class="separator:a0bb4fa9cf5c662a222d84b22c7c658a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:af73052724a162e5f4c33375f94ac4bfd"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classNetworkService.html">NetworkService</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNetworkService.html#af73052724a162e5f4c33375f94ac4bfd">getInstance</a> ()</td></tr>
<tr class="separator:af73052724a162e5f4c33375f94ac4bfd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:afda8c2c8daf9ed41b1f9a0bfba7be494"><td class="memItemLeft" align="right" valign="top">CURLcode&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNetworkService.html#afda8c2c8daf9ed41b1f9a0bfba7be494">responseCode_</a></td></tr>
<tr class="separator:afda8c2c8daf9ed41b1f9a0bfba7be494"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b7133d3f4c6bb114c468d04707642e9"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNetworkService.html#a1b7133d3f4c6bb114c468d04707642e9">responseData_</a></td></tr>
<tr class="separator:a1b7133d3f4c6bb114c468d04707642e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af230de68dcc9ce070e598e1dea3d588a"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNetworkService.html#af230de68dcc9ce070e598e1dea3d588a">responseErrorBuffer_</a></td></tr>
<tr class="separator:af230de68dcc9ce070e598e1dea3d588a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:aca0f70d536f7bbd7a035ba91a150684a"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNetworkService.html#aca0f70d536f7bbd7a035ba91a150684a">responseWriteCallback</a> (void *data, size_t size, size_t nmemb, void *userData)</td></tr>
<tr class="separator:aca0f70d536f7bbd7a035ba91a150684a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ae37f04d34a43632252cb6bb153b38caf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae37f04d34a43632252cb6bb153b38caf">&#9670;&nbsp;</a></span>NetworkService() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">NetworkService::NetworkService </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a943a2b8f1ea776592ca4862f8c9f9d15"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a943a2b8f1ea776592ca4862f8c9f9d15">&#9670;&nbsp;</a></span>~NetworkService()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">NetworkService::~NetworkService </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a622ad41d140fd68bb104cd4ba197c140"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a622ad41d140fd68bb104cd4ba197c140">&#9670;&nbsp;</a></span>NetworkService() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">NetworkService::NetworkService </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classNetworkService.html">NetworkService</a> const &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a902ac1cc48a670802152f778b567ad0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a902ac1cc48a670802152f778b567ad0d">&#9670;&nbsp;</a></span>GET()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CURLcode NetworkService::GET </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>url</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::unordered_map&lt; std::string, std::string &gt; &amp;&#160;</td>
          <td class="paramname"><em>params</em> = <code>{}</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::unordered_map&lt; std::string, std::string &gt; &amp;&#160;</td>
          <td class="paramname"><em>headers</em> = <code>{}</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af73052724a162e5f4c33375f94ac4bfd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af73052724a162e5f4c33375f94ac4bfd">&#9670;&nbsp;</a></span>getInstance()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classNetworkService.html">NetworkService</a> &amp; NetworkService::getInstance </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a19db659744f2d05d7fea8488b5dd1fda"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19db659744f2d05d7fea8488b5dd1fda">&#9670;&nbsp;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void NetworkService::operator= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classNetworkService.html">NetworkService</a> const &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acb7482a6e8ac040419fb8508784623c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb7482a6e8ac040419fb8508784623c5">&#9670;&nbsp;</a></span>POST()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CURLcode NetworkService::POST </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>url</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::unordered_map&lt; std::string, std::string &gt; &amp;&#160;</td>
          <td class="paramname"><em>headers</em> = <code>{}</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aead3be14e1aabce8cb4b0c33ddcff5e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aead3be14e1aabce8cb4b0c33ddcff5e8">&#9670;&nbsp;</a></span>responseContent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string NetworkService::responseContent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0bb4fa9cf5c662a222d84b22c7c658a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0bb4fa9cf5c662a222d84b22c7c658a8">&#9670;&nbsp;</a></span>statusCode()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CURLcode NetworkService::statusCode </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acf48498e52a529b97919d91934c5bfe1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf48498e52a529b97919d91934c5bfe1">&#9670;&nbsp;</a></span>test()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void NetworkService::test </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Friends And Related Function Documentation</h2>
<a id="aca0f70d536f7bbd7a035ba91a150684a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca0f70d536f7bbd7a035ba91a150684a">&#9670;&nbsp;</a></span>responseWriteCallback</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">size_t responseWriteCallback </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>nmemb</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>userData</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="afda8c2c8daf9ed41b1f9a0bfba7be494"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afda8c2c8daf9ed41b1f9a0bfba7be494">&#9670;&nbsp;</a></span>responseCode_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CURLcode NetworkService::responseCode_</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1b7133d3f4c6bb114c468d04707642e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b7133d3f4c6bb114c468d04707642e9">&#9670;&nbsp;</a></span>responseData_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string NetworkService::responseData_</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af230de68dcc9ce070e598e1dea3d588a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af230de68dcc9ce070e598e1dea3d588a">&#9670;&nbsp;</a></span>responseErrorBuffer_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">char* NetworkService::responseErrorBuffer_</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>frontend/src/lib/network_service/<a class="el" href="NetworkService_8hpp_source.html">NetworkService.hpp</a></li>
<li>frontend/src/lib/network_service/<a class="el" href="NetworkService_8cpp.html">NetworkService.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
